<?php
/*
  $Id$

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2022 Phoenix Cart

  Released under the GNU General Public License
*/

class hook_admin_catalog_productSpecials {
	
  public function listen_productActionSave() {
	global $products_id;

	
	$specials_info_query = tep_db_query("SELECT specials_new_products_price FROM specials WHERE products_id = '" . (int)$GLOBALS['products_id'] . "'");
	$specials_info = tep_db_fetch_array($specials_info_query);
		
	$specials_price = tep_db_prepare_input($_POST['specials_price']);
	
	if (substr($specials_price, -1) === '%') {
        $specials_price = substr($specials_price, 0, -1);
        $new_special_insert_query = tep_db_query("SELECT products_id, products_price FROM products WHERE products_id = " . (int)$GLOBALS['products_id']);
        $new_special_insert = tep_db_fetch_array($new_special_insert_query);

        $products_price = $new_special_insert['products_price'];
        $specials_price = ($products_price - (($specials_price / 100) * $products_price));
    }
	
	$expires_date = tep_db_prepare_input($_POST['expdate']) ?? null;
	
	if(tep_not_null($specials_price)) {
		if(tep_not_null($specials_info['specials_new_products_price'])) {
			tep_db_query("UPDATE specials SET specials_new_products_price = '" . tep_db_input($specials_price) . "', specials_last_modified = NOW(), expires_date = " . (tep_not_null($expires_date) ? "'" . tep_db_input($expires_date) . "'" : 'NULL') . " where products_id = " . (int)$GLOBALS['products_id']);
		} else {
			tep_db_query("INSERT INTO specials (products_id, specials_new_products_price, specials_date_added, expires_date, status) VALUES (" . (int)$GLOBALS['products_id'] . ", '" . tep_db_input($specials_price) . "', NOW(), " . (tep_not_null($expires_date) ? "'" . tep_db_input($expires_date) . "'" : 'null') . ", 1)");
		}
	}
 }
 
     public function listen_updateProductAction() {
      $this->listen_productActionSave();
    }

    public function listen_insertProductAction() {
      $this->listen_productActionSave();
    }

   
  public function listen_injectDataForm() {
	include DIR_FS_CATALOG . 'includes/languages/' . $_SESSION['language'] . '/hooks/admin/categories/products_specials.php';
	$product_id = $_GET['pID'] ?? 0;
	$specials_info_query = $GLOBALS['db']->query("SELECT specials_new_products_price, expires_date FROM specials WHERE products_id = '" . $product_id . "'");
	$specials_info = $specials_info_query->fetch_assoc();
	?>
	
	
	<div class="form-group row" id="zPrice">
      <label for="specialPrice" class="col-form-label col-sm-3 text-left text-sm-right"><?= TEXT_SPECIALS_SPECIAL_PRICE ?></label>
      <div class="col-sm-3">
        <?= (new Input('specials_price', ['value' => ($specials_info['specials_new_products_price'] ?? ''), 'id' => 'specialPrice'])) ?>
      </div>
    </div>

    <div class="form-group row" id="zDate">
      <label for="specialDate" class="col-form-label col-sm-3 text-left text-sm-right"><?= TEXT_SPECIALS_EXPIRES_DATE ?></label>
      <div class="col-sm-3">
        <?= new Input('expdate', ['value' => (isset($specials_info['expires_date']) ? substr($specials_info['expires_date'], 0, 4) . '-' . substr($specials_info['expires_date'], 5, 2) . '-' . substr($specials_info['expires_date'], 8, 2) : ''), 'id' => 'specialDate']) ?>
      </div>
    </div>

    <div class="alert alert-info">
      <?= TEXT_SPECIALS_PRICE_TIP ?>
    </div>


  <script>
  $('#specialDate').datepicker({ dateFormat: 'yy-mm-dd' });
  </script>
	
	<?php
	
  }	  
}

?>